/* eslint-disable react/prop-types */
import PropTypes from 'prop-types';
import React from 'react';
import cx from 'classnames';
import ImageLazyLoad from '@s-ui/react-image-lazy-load';

var CardBasicMedia = function CardBasicMedia(_ref) {
  var src = _ref.src,
      _ref$alt = _ref.alt,
      alt = _ref$alt === void 0 ? '' : _ref$alt;
  return React.createElement("div", {
    className: "sui-CardBasic-media"
  }, React.createElement("img", {
    src: src,
    alt: alt
  }));
};
/**
 * Basic card containing a media object, an optional title and a description
 * text.
 */


export default function CardBasic(_ref2) {
  var _cx;

  var link = _ref2.link,
      Link = _ref2.linkFactory,
      media = _ref2.media,
      title = _ref2.title,
      titleStyle = _ref2.titleStyle,
      description = _ref2.description,
      button = _ref2.button,
      lazyLoad = _ref2.lazyLoad;
  var cardBasicTitleClassName = cx('sui-CardBasic-title', (_cx = {}, _cx["sui-CardBasic-title--" + titleStyle] = titleStyle, _cx));
  return React.createElement("div", {
    className: "sui-CardBasic"
  }, React.createElement(Link, {
    href: link,
    className: "sui-CardBasic-link"
  }, lazyLoad ? React.createElement(ImageLazyLoad, Object.assign({}, lazyLoad, media)) : React.createElement(CardBasicMedia, media), React.createElement("div", {
    className: "sui-CardBasic-content"
  }, title && React.createElement("header", {
    className: cardBasicTitleClassName
  }, title), React.createElement("div", {
    className: "sui-CardBasic-description"
  }, description), button && React.createElement("div", {
    className: "sui-CardBasic-action"
  }, button))));
}
CardBasic.defaultProps = {
  linkFactory: function linkFactory(_ref3) {
    var href = _ref3.href,
        className = _ref3.className,
        children = _ref3.children;
    return React.createElement("a", {
      href: href,
      className: className
    }, children);
  },
  lazyLoad: false
};
CardBasic.displayName = 'CardBasic';